import { EventEmitter, ElementRef, AfterViewInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { Subscription } from 'rxjs';
export declare class SearchInputComponent implements AfterViewInit, OnDestroy {
    changeDetector: ChangeDetectorRef;
    txtSearchInput: ElementRef;
    config: {
        placeholderText: string;
        minSearchLength: number;
        searchLengthError: string;
        debounceTime: number;
    };
    searchInputChanged: EventEmitter<string>;
    searchSubscription: Subscription;
    smallSearchTermError: boolean;
    constructor(changeDetector: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    listenForSearch(): void;
}
